- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libabw::ABWOpenOrderedListLevelElement Class Reference
Inheritance diagram for libabw::ABWOpenOrderedListLevelElement:

## Public Member Functions
| ABWOpenOrderedListLevelElement (const librevenge::RVNGPropertyList &propList)
| ~ABWOpenOrderedListLevelElement ()
void | write (librevenge::RVNGTextInterface *iface, const std::map< int, std::list< ABWOutputElement * > > *footers, const std::map< int, std::list< ABWOutputElement * > > *headers) const
Public Member Functions inherited from libabw::ABWOutputElement
| ABWOutputElement ()
virtual | ~ABWOutputElement ()

## Private Attributes
librevenge::RVNGPropertyList | m_propList

## Constructor & Destructor Documentation

libabw::ABWOpenOrderedListLevelElement::ABWOpenOrderedListLevelElement | ( | const librevenge::RVNGPropertyList & | propList | ) |
| inline

libabw::ABWOpenOrderedListLevelElement::~ABWOpenOrderedListLevelElement | ( |  | ) |
| inline

## Member Function Documentation

void libabw::ABWOpenOrderedListLevelElement::write | ( | librevenge::RVNGTextInterface * | iface,
|  | const std::map< int, std::list< ABWOutputElement * > > * | footers,
|  | const std::map< int, std::list< ABWOutputElement * > > * | headers
| ) |  | const
| virtual

Implements libabw::ABWOutputElement.

## Member Data Documentation

librevenge::RVNGPropertyList libabw::ABWOpenOrderedListLevelElement::m_propList
| private

The documentation for this class was generated from the following file:

- ABWOutputElements.cpp